Loading...
Searching...
No Matches
assetmgrmodel::AssetStripConfig::RackUnitSettingsChangedEvent Struct Reference

Event: A rack unit's settings were changed. More...

`import "AssetStripConfig.idl";`

Inheritance diagram for assetmgrmodel::AssetStripConfig::RackUnitSettingsChangedEvent:

## Public Attributes

int | rackUnitNumber
| Affected rack unit position.
RackUnitSettings | oldSettings
| Settings before change.
RackUnitSettings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A rack unit's settings were changed.

Definition at line 125 of file AssetStripConfig.idl.

## Member Data Documentation

## newSettings

RackUnitSettings assetmgrmodel::AssetStripConfig::RackUnitSettingsChangedEvent::newSettings

Settings after change.

Definition at line 128 of file AssetStripConfig.idl.

## oldSettings

RackUnitSettings assetmgrmodel::AssetStripConfig::RackUnitSettingsChangedEvent::oldSettings

Settings before change.

Definition at line 127 of file AssetStripConfig.idl.

## rackUnitNumber

int assetmgrmodel::AssetStripConfig::RackUnitSettingsChangedEvent::rackUnitNumber

Affected rack unit position.

Definition at line 126 of file AssetStripConfig.idl.

The documentation for this struct was generated from the following file:

- AssetStripConfig.idl